# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "sirno"
version = "0.0.2"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Sirno gives project design a semantic intermediate representation."
readme = "README.md"
license = "MIT OR Apache-2.0"

[lib]
name = "sirno"
path = "src/lib.rs"

[[bin]]
name = "sirno"
path = "src/main.rs"

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.clap_complete]
version = "4"

[dependencies.comfy-table]
version = "7.2.2"
features = ["tty"]
default-features = false

[dependencies.eter]
version = "0"

[dependencies.glob]
version = "0.3"

[dependencies.indexmap]
version = "2.14.0"
features = ["serde"]

[dependencies.mosaika]
version = "0"

[dependencies.regex]
version = "1.12"

[dependencies.rmcp]
version = "1.7.0"
features = [
    "server",
    "transport-io",
]

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"
features = ["preserve_order"]

[dependencies.serde_yaml]
version = "0.9"

[dependencies.smol_str]
version = "0.3.6"
features = ["serde"]

[dependencies.thiserror]
version = "2"

[dependencies.tokio]
version = "1"
features = [
    "macros",
    "rt-multi-thread",
]

[dependencies.toml]
version = "1.1.2"
features = ["preserve_order"]

[dependencies.tracing]
version = "0.1"

[dependencies.unicode-width]
version = "0.2"

[dev-dependencies.rmcp]
version = "1.7.0"
features = ["client"]

[dev-dependencies.tempfile]
version = "3"

[target.'cfg(any(target_os = "macos", target_os = "freebsd", target_os = "netbsd", target_os = "openbsd"))'.dependencies.libc]
version = "0.2"

[target.'cfg(target_os = "linux")'.dependencies.rustix]
version = "1.1.4"
features = ["fs"]

[target."cfg(windows)".dependencies.windows-sys]
version = "0.61.2"
features = [
    "Win32_Foundation",
    "Win32_Security",
    "Win32_Security_Authorization",
    "Win32_Storage_FileSystem",
]
